[ntp:questions] Can sychronize with a slightyly different NTP versios

DavidO davidproc at hotmail.com
Wed Mar 1 15:49:59 UTC 2006


Hi:
I am using to units for video editting, both of them run in linux. One
of the units has a NTP version ntpq 4.0.99k and the other unit has a
ntpq version ntpq 4.1.2 at 1.892.
I am able to synchronize the unit 2 (version 4.1.2) with other units of
the same version and any other PC in the network.
Also, I can synchronize the unit 1 (version 4.0.99) with any other PC
in the network. Unit 2 should act as serve its own time and unit1
queries time from unit 2. I have to work with these NTP versions.

When I start to run the NTP daemo in unit 2, unit 2 synchronizes fine
but when I run NTPD in unit 1 (older version querying information from
unit 2 newer version). I got this error message in unit 1.
from ntpd -d (debugging mode):
auth_agekeys: at 82380 keys 1 expired 0
transmit: at 82398 192.168.10.38 mode 3
receive: at 82398 192.168.10.38 mode 4 code 1
packet: bad header 020

If I run ntpq -c as in unit 1, I see this message:
ind assID status  conf reach auth condition  last_event cnt
===========================================================
  1 14308  8000   yes   yes  none    reject

Also in the flash variable I have the number: 0x20 which means the
packets are not passing the sanity tests.

What would you recommend me to do?. Is there anything in the
configuration file or option in the command line argument for ntpd or
other command that can help me to synchronize both of the units.
I will appreciate your attention,

DavidO




More information about the questions mailing list